- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# DelaunayTriangulator.cpp File Reference

`#include <osgUtil/DelaunayTriangulator>`
`#include <osg/GL>`
`#include <osg/Vec3>`
`#include <osg/Array>`
`#include <osg/Notify>`
`#include <algorithm>`
`#include <list>`
`#include <set>`

Include dependency graph for DelaunayTriangulator.cpp:

## Namespaces
namespace | osgUtil
## Typedefs
typedef GLuint | osgUtil::Vertex_index
typedef std::set< Edge, Edge::Less > | osgUtil::Edge_set
typedef std::list< Triangle > | osgUtil::Triangle_list
## Functions
osg::Vec3 | osgUtil::compute_circumcircle (const osg::Vec3 &a, const osg::Vec3 &b, const osg::Vec3 &c)
bool | osgUtil::point_in_circle (const osg::Vec3 &point, const osg::Vec3 &circle)
bool | osgUtil::Sample_point_compare (const osg::Vec3 &p1, const osg::Vec3 &p2)